> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ar/wthaeq-wajhh-brmjh-alttbyqat/upload-files-with-the-geopard-api.md).

# رفع الملفات باستخدام واجهة برمجة تطبيقات GeoPard

{% hint style="success" %}
النهج الموصى به للملفات التي يزيد حجمها على 6 ميغابايت هو [تدفق عناوين URL الموقّعة مسبقًا](https://docs.geopard.tech/geopard-tutorials/ar/wthaeq-wajhh-brmjh-alttbyqat/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).
{% endhint %}

تتيح واجهة GeoPard API رفع أرشيفات ZIP التي تحتوي على مجموعات بيانات التربة/الغلة/التطبيق/الحدود، لمعالجتها وتحليلها لاحقًا.

{% hint style="danger" %}
بسبب أحد قيود AWS، يبلغ الحد الأقصى لحجم الملف الذي يمكنك رفعه عبر نقطة REST هذه 6 ميغابايت.
{% endhint %}

تجد خطوات رفع الملفات التي يزيد حجمها على 6 ميغابايت في [رفع ملفات ZIP (أكبر من 6 ميغابايت)](https://docs.geopard.tech/geopard-tutorials/ar/wthaeq-wajhh-brmjh-alttbyqat/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

بعد نجاح رفع مجموعة بيانات التربة/الغلة/التطبيق مباشرةً، يربطها محرك GeoPard بالحقول ذات الصلة داخل المزرعة المحددة.

بعد نجاح رفع الحدود مباشرةً، يبدأ محرك GeoPard معالجتها.

تتضمن الاستجابة `<uuid>` يمكنك استخدامه لتتبّع حالة المعالجة.

#### مثال على الطلب:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

المعاملات هي:

1. `<type>` - نوع مجموعة البيانات المرفوعة. يجب أن يكون أحد الخيارات التالية: `yield` أو `soil` أو `applied` أو `boundary`.
2. `<farm_uuid>` - `uuid` للمزرعة التي سيُرفع الملف إليها (اختياري).
3. `<token>` - رمز الوصول إلى GeoPard.
4. `@path/to/file.zip` - مسار الملف المراد رفعه.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/wthaeq-wajhh-brmjh-alttbyqat/upload-files-with-the-geopard-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
